=== requirements.txt ===
numpy
python-opencv
pandas
python-qt5
nbformat
pyqtgraph
