=== debian/changelog ===
pymecavideo (8.0-2) unstable; urgency=medium

  * fixed wrong escaped characters. Closes: #1085813

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 23 Oct 2024 14:51:10 +0200

pymecavideo (8.0-1) unstable; urgency=medium

  * New upstream version 8.0
  * patched src/version.py to read the version number from debian/changelog
    Closes: #1077395

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 31 Aug 2024 11:11:38 +0200

pymecavideo (8.0~rc10-3) unstable; urgency=medium

  * Bumped Standards-Version: 4.7.0
  * Removed X-Python3-Version stance
  * Fixed the watch file

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 10 May 2024 16:05:56 +0200
