=== debian/control ===
Source: pymecavideo
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 python3-all,
 python3-setuptools,
 dh-python,
 qt6-base-dev-tools,
 pyqt6-dev-tools,
 qt6-l10n-tools,
 librsvg2-bin,
 xvfb,
 xauth,
 libxcb-image0,
 libxcb-keysyms1,
 libxcb-render-util0,
 libxcb-xkb1,
 libxkbcommon-x11-0,
 python3-pyqt6,
 xdg-utils,
 python3-opencv,
 python3-odf,
 python3-pyqtgraph,
 python3-magic,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/georgesk/pymecavideo
Vcs-Git: https://salsa.debian.org/georgesk/pymecavideo.git

Package: python3-mecavideo
Provides: python-mecavideo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-pyqt6,
 xdg-utils,
 python3-opencv,
 python3-odf,
 python3-pyqtgraph,
 python3-magic,
 shared-mime-info
Recommends:
 mencoder,
 python3-pandas,
 python3-nbformat
Description: pedagogic tool to analyze video records for mechanics
 You can track the movement of one or many points in video frames and export
 the position measurements to standard analysis tools.
