=== debian/watch ===
version=4

# Direct Git.
opts="mode=git" https://gitlab.com/oppl/pymecavideo.git \
    refs/tags/v([\d\.]+)
